# OpenLayers.Format.WMSCapabilities.v1

Abstract class not to be instantiated directly. Creates the common parts for both WMS 1.1.X and WMS 1.3.X.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WMSCapabilities.v1 | Abstract class not to be instantiated directly.
Constructor |
OpenLayers.Format.WMSCapabilities.v1 | Create an instance of one of the subclasses.
Functions |
read | Read capabilities data from a string, and return a list of layers.

### Constructor

### OpenLayers.Format.WMSCapabilities.v1

Create an instance of one of the subclasses.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} List of named layers.

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.
Read and write XML.
Close